#ifndef _PATHEXT_

#define _PATHEXT_

#ifndef NULL
#define NULL	0
#endif

struct NODE {
    long f,h;
    int g,tmpg;
    int x,y;
    int NodeNum;
    struct NODE *Parent;
    struct NODE *Child[8];       // a node may have upto 8+(NULL) children.
    struct NODE *NextNode;       // for filing purposes
};
extern struct NODE *OPEN;
extern struct NODE *CLOSED;

/**************************************************************************/
/*                                 STACK                                  */
/**************************************************************************/
struct STACK {
    struct NODE *NodePtr;
    struct STACK *NextStackPtr;
};
extern struct STACK *Stack;

extern struct NODE *FindPath(long sx,long sy,long dx,long dy);

#endif // #ifdef _PATHEXT_
