// msg.h: Message display system for Bapple2.  Created on May 31st, 1997.

#ifndef _MSG_

#define _MSG_

#define MAX_MSGS		20

#define MSG_TYPES		5

#define MSG_NORMAL		0
#define MSG_COMPUTER	1
#define MSG_ENEMY		2
#define MSG_DEATH		3
#define MSG_EXPENDABLE	4

typedef struct msg_t
{
	char type;
	unsigned long dietime;
	char *text;
	struct msg_t *next;
} msg_t;

typedef struct
{
	char log;
	char initialized;
	int num_msgs;
	int max_msg_width;
	msg_t *top_msg;
} msg_buffer_t;

#endif // #ifndef _MSG_
